Download Asset Registration Info

Download Asset Registration Info
API to download the asset information for registering with Avi Cloud Console

This API is applicable for disconnected asset registration workflow. API to download the asset registration file that can be uploaded on to Avi Cloud Console for offline registration of an asset.

Request
URI
POST
https://{api_host}/licensing/asset/registration-info
COPY
Query Parameters
array
action
Required

Action

Enumeration: DOWNLOAD

Authentication
This operation uses the following authentication methods.
Responses
200

Asset registration file information.

Returns string of type(s) application/octet-stream
Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/licensing/asset/registration-info